import { TSFusionEnumeration } from "./tsfusionnode";
import { Nullable, uint } from "./types";
declare global {
    export interface Set<T, U = T> extends TSFusionEnumeration {
        conditionalClear: (this: Set<T>, clearFunction: (element: T) => boolean) => uint;
        map: (this: Set<T>, mapFunction: (element: T) => Nullable<U>) => Set<U>;
        toArray: (this: Set<T>) => T[];
        keysArray: (this: Set<T>) => T[];
        valuesArray: (this: Set<T>) => T[];
    }
    export interface Map<K, V, U = V> extends TSFusionEnumeration {
        conditionalClear: (this: Map<K, V>, clearFunction: (key: K, value: V) => boolean) => uint;
        map: (this: Map<K, V>, mapFunction: (key: K, value: V) => Nullable<U>) => Map<K, U>;
        toArray: (this: Map<K, V>) => Array<[K, V]>;
        keysArray: (this: Map<K, V>) => K[];
        valuesArray: (this: Map<K, V>) => V[];
    }
}
